it.csi.mddtools.guigen

## Interface TableCustomizationPDefVal

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PDefParamVal

      public interface TableCustomizationPDefVal
      extends PDefParamVal

  A representation of the model object 'Table Customization PDef Val'. Valorizzazione di parametro di PanelDef che permette di personalizzare una Table per la quale è stata prevista la personalizzabilità (tramite un TableCustomizationPDefVal.

  The following features are supported:

  - `Extra Cols`
  - `Hidden Cols`
  See Also:
    `GuigenPackage.getTableCustomizationPDefVal()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<ExtraColumn>` | `getExtraCols()` Returns the value of the 'Extra Cols' containment reference list.
    `org.eclipse.emf.common.util.EList<Column>` | `getHiddenCols()` Returns the value of the 'Hidden Cols' reference list.

    - ### Methods inherited from interface it.csi.mddtools.guigen.PDefParamVal

      `getParam, setParam`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getExtraCols

          org.eclipse.emf.common.util.EList<ExtraColumn> getExtraCols()

      Returns the value of the 'Extra Cols' containment reference list. The list contents are of type `ExtraColumn`. L'elenco delle colonne da aggiungere alle colonne preesistenti nella tabella base. Le colonne saranno aggiunte secondo quanto specificato nell' attributo insertAfter dell'oggetto ExtraColumn corrispondente. Se due ExtraColumn presentano lo stesso valore di tale attributo, esse saranno inserite nell'ordine in cui sono presenti in questo elenco.
      Returns:
        the value of the 'Extra Cols' containment reference list.
      See Also:
        `GuigenPackage.getTableCustomizationPDefVal_ExtraCols()`

    - #### getHiddenCols

          org.eclipse.emf.common.util.EList<Column> getHiddenCols()

      Returns the value of the 'Hidden Cols' reference list. The list contents are of type `Column`. Elenco delle colonne della Table base che devono essere nascoste.
      Returns:
        the value of the 'Hidden Cols' reference list.
      See Also:
        `GuigenPackage.getTableCustomizationPDefVal_HiddenCols()`